Updating to PHP5.4.14.

Update information      Edit(Aug.3)

   At Apr-10 22:55:28UTC, they released PHP5.4.14. So, I downloaded a Thread Safe version php-5.4.14-Win32-VC9-x86.zip for my server (WindowsXP SP3(x86)).

   Acoording to the ChangeLog, it has 11 bug fixes, and merges PCRE 8.32 (released 2012-11-30). This is a security update, so, they say “All users of PHP are encouraged to upgrade to PHP 5.4.14.”.

   As php5apache2_4.dll included in the official PHP binary 5.4.10+, I extracted the zip archive and replaced all PHP5.4.13 files with all PHP5.4.14 files except my php.ini. Then, I restarted my Apache. That’s it.

   Yeah, that’s it. However, at this time, I inadvertently deleted my php.ini and restarted Apache. So, my WordPress said “Your PHP installation appears to be missing the MySQL extension which is required by WordPress.” when I made this post. (;^_^A アセアセ・・・ We have to be careful not to do this!!!

   If you need how to configure PHP5.4, please see the post on my Japanese blog. Of course, it is only in Japanese and for a mbstrings user, but I think the information gives some help for you.

Edit(Aug.3):
   If you need how to configure PHP5.5, please see “To create a Wamp-like Web Server in Windows7-#2“.

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.